View Issue Details

IDProjectCategoryView StatusLast Update
0025754Open CASCADEWebsite:Trackerpublic2021-09-03 14:13
Reporterabv Assigned Tobugmaster  
PriorityhighSeverityminor 
Status resolvedResolutionopen 
Target Version7.7.0 
Summary0025754: Mantis should allow selection of any person in the filter
DescriptionWhen 'All' or 'OCCT' is selected as current project in Mantis, filter in View Issues should allow selecting any of the persons assigned to shown (sub-)projects in the fields "Reported", "Monitored by", and "Assigned to". This is not the case now (it seems that only persons assigned on global level are present), thus this functionality is rather useless.
Steps To ReproduceGo to https://tracker.dev.opencascade.org
Select any project with sub-project(s) and check "Reporter", "Monitored By:" and "Assigned to" fields.
TagsNo tags attached.
Test case number

Relationships

has duplicate 0026685 closedisv Mantis View Issues form - developer is missing in "Reported by" and "Assigned to" fields 

Activities

kgv

2015-08-25 11:53

developer   ~0044594

It seems that filter does not show persons with restricted access (e.g. which has access only to specific projects) for global search - and the list is quite small right now.

This makes impossible to see all issues assigned to specific person regardless of the projects (project restrictions should be applied to the actual user, not requested one).

Please consider fixing the issue if possible.

isv

2017-09-14 20:23

developer   ~0070556

Fixes the bug related to the lack of developers and reporters in "Reporter", "Monitored By:" and "Assigned to" fields

The "Reporter" and "Monitored By:" fields show users with the role of reporter and higher for current project and its sub-projects.
and the field "Assigned to" displays the developers of the current project and its sub-projects with the role of developer and higher.

This is a known issue for the MantisBT, but has not yet been fixed
https://www.mantisbt.org/bugs/view.php?id=19825
https://www.mantisbt.org/bugs/view.php?id=6105
https://www.mantisbt.org/bugs/view.php?id=6899

Issue History

Date Modified Username Field Change
2015-01-26 18:14 abv New Issue
2015-01-26 18:14 abv Assigned To => aiv
2015-08-25 11:53 kgv Note Added: 0044594
2015-08-25 11:53 kgv Priority normal => high
2015-08-25 11:53 kgv Status new => assigned
2015-11-03 16:00 aiv Relationship added has duplicate 0026685
2017-08-29 11:53 aiv Assigned To aiv => isv
2017-09-14 20:23 isv Note Added: 0070556
2017-09-14 20:23 isv Assigned To isv => bugmaster
2017-09-14 20:23 isv Status assigned => resolved
2017-09-14 20:23 isv Steps to Reproduce Updated
2021-09-03 14:13 bugmaster Target Version => 7.7.0